com.fasterxml.jackson.dataformat.avro.schema

## Class DefinedSchemas

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.schema.DefinedSchemas

-     public class DefinedSchemas
      extends Object

  Simple container for Schemas that have already been generated during generation process; used to share definitions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.SerializerProvider` | `_provider`
    `protected Map<com.fasterxml.jackson.databind.JavaType,org.apache.avro.Schema>` | `_schemas`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinedSchemas()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchema(com.fasterxml.jackson.databind.JavaType type, org.apache.avro.Schema schema)`
    `org.apache.avro.Schema` | `findSchema(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.SerializerProvider` | `getProvider()`
    `void` | `setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _schemas

          protected final Map<com.fasterxml.jackson.databind.JavaType,org.apache.avro.Schema> _schemas

    - #### _provider

          protected com.fasterxml.jackson.databind.SerializerProvider _provider

  - ### Constructor Detail

    - #### DefinedSchemas

          public DefinedSchemas()

  - ### Method Detail

    - #### setProvider

          public void setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)

    - #### getProvider

          public com.fasterxml.jackson.databind.SerializerProvider getProvider()

    - #### findSchema

          public org.apache.avro.Schema findSchema(com.fasterxml.jackson.databind.JavaType type)

    - #### addSchema

          public void addSchema(com.fasterxml.jackson.databind.JavaType type,
                                org.apache.avro.Schema schema)

Copyright © 2019 FasterXML. All rights reserved.